varying vec2 	texcoord;

uniform sampler2D 	wave0;
uniform sampler2D 	wave1;
uniform sampler2D 	wave2;
uniform sampler2D 	wave3;
uniform sampler2D 	wave4;
uniform sampler2D 	wave5;
uniform sampler2D 	wave6;
uniform sampler2D 	wave7;

void main()
{	

	vec3 waves=	texture2D(wave0,(texcoord.st*8.0)).xyz +
				texture2D(wave1,(texcoord.st*4.0)).xyz +
				texture2D(wave2,(texcoord.st*2.0)).xyz +
				texture2D(wave3,(texcoord.st)).xyz;
				
	gl_FragColor.xyz = waves;
	gl_FragColor.a=1.0;
}